# $Revision: 1.4 $, $Date: 2002/07/24 00:23:18 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Scalar
%define		pnam	List-Utils
Summary:	List::Util and Scalar::Util perl modules
Summary(pl):	Moduy perla List::Util i Scalar::Util
Name:		perl-Scalar-List-Utils
Version:	1.0701
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.005
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a selection of subroutines that people have
expressed would be nice to have in the perl core, but the usage would
not really be high enough to warrant the use of a keyword, and the size
so small such that being individual extensions would be wasteful.

%description -l pl
Ten pakiet zawiera wybrane procedury, ktre wedug niektrych ludzi
powinny znale si w gwnym pakiecie Perla, ale uyteczno nie jest
zbyt dua, a rozmiar za may na tworzenie oddzielnych rozszerze.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL -xs
%{__make} OPTIMIZE="%{rpmcflags}"
#%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%dir %{perl_sitearch}/List
%{perl_sitearch}/List/*.pm
%dir %{perl_sitearch}/Scalar
%{perl_sitearch}/Scalar/*.pm
%dir %{perl_sitearch}/auto/List
%dir %{perl_sitearch}/auto/List/Util
%attr(755,root,root) %{perl_sitearch}/auto/List/Util/*.so
%{perl_sitearch}/auto/List/Util/*.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Scalar-List-Utils.spec,v $
Revision 1.4  2002/07/24 00:23:18  ankry
- added dirs: %%{perl_sitearch}/List, %%{perl_sitearch}/Scalar and
  %%{perl_sitearch}/auto/List
- release 2

Revision 1.3  2002/07/23 11:00:12  qboosh
- added Date, pl description and OPTIMIZE

Revision 1.2  2002/07/23 01:34:57  radek
- it's not noarch...

Revision 1.1  2002/07/21 23:13:24  radek
- new, STBR
